package com.zjrs.ggfw.rlzysc.dto.grzxjlxx;

import org.hibernate.validator.constraints.Length;

import jakarta.validation.constraints.NotBlank;

public class GrJlxxDTO {
    private String rsrlzyjlxxlsh;//简历信息流水号
    private String rsrlzyqyxxlsh;//企业信息流水号
    private String rsrlzyzwxxlsh;//职位信息流水号
    @NotBlank(message = "人员类别不能为空")
    private String tsrylb;
    @NotBlank(message = "最高学历不能为空")
    private String tsxl;//最高学历
    @NotBlank(message = "手机号码不能为空")
    @Length(max = 25,message = "手机号码最多只能输入25个字符或汉字")
    private String sjhm;//手机号码
    @NotBlank(message = "姓名不能为空")
    private String aac003;//姓名
    @NotBlank(message = "证件类型不能为空")
    private String aac058;//证件类型
    @NotBlank(message = "证件号码不能为空")
    private String aac147;//证件号码

    public String getRsrlzyjlxxlsh() {
        return rsrlzyjlxxlsh;
    }

    public void setRsrlzyjlxxlsh(String rsrlzyjlxxlsh) {
        this.rsrlzyjlxxlsh = rsrlzyjlxxlsh;
    }

    public String getRsrlzyqyxxlsh() {
        return rsrlzyqyxxlsh;
    }

    public void setRsrlzyqyxxlsh(String rsrlzyqyxxlsh) {
        this.rsrlzyqyxxlsh = rsrlzyqyxxlsh;
    }

    public String getRsrlzyzwxxlsh() {
        return rsrlzyzwxxlsh;
    }

    public void setRsrlzyzwxxlsh(String rsrlzyzwxxlsh) {
        this.rsrlzyzwxxlsh = rsrlzyzwxxlsh;
    }

    public String getTsrylb() {
        return tsrylb;
    }

    public void setTsrylb(String tsrylb) {
        this.tsrylb = tsrylb;
    }

    public String getTsxl() {
        return tsxl;
    }

    public void setTsxl(String tsxl) {
        this.tsxl = tsxl;
    }

    public String getSjhm() {
        return sjhm;
    }

    public void setSjhm(String sjhm) {
        this.sjhm = sjhm;
    }

    public String getAac003() {
        return aac003;
    }

    public void setAac003(String aac003) {
        this.aac003 = aac003;
    }

    public String getAac058() {
        return aac058;
    }

    public void setAac058(String aac058) {
        this.aac058 = aac058;
    }

    public String getAac147() {
        return aac147;
    }

    public void setAac147(String aac147) {
        this.aac147 = aac147;
    }
}

